# Get available user roles

```
/**
* List dictionary track type. Can use for changing track type.
* See also [changeTrackOrigin]
*
* @param dictionaryLocale Language in which tracks are to arrive.
*/
fun *getTrackOriginDict(dictionaryLocale: Locale): Array<TrackOriginDictionary>
```

<br>

**Response:**<br>

```
Array of
class TrackOriginDictionary(
       /**
        * The human-readable name.
        */
       var name: String?,

       /**
        * The trip type code.
        */
       var code: String?,

       var canBeSelected: Boolean
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.telematicssdk.com/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/get-available-user-roles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
